Subject: Bug#927: [X2Go-Dev] Bug#927: Bug#927: copy on select overrides Windows clipboard

From: Ulrich Sibiller <[email-masked]>
Date: Wed, 9 Dec 2015 21:58:44 +0100

On Wed, Dec 9, 2015 at 5:43 PM, Walid MOGHRABI
<[email-masked]> wrote:
> A little "up" on this bug ... this is very very annoying for us and generate angryness against x2go which is unfair because this solution gives us so much more value added feature than before but every users are focusing on this one bug because it affect their work all day long.
> We're willing to push that as much as we can and we're ready to help as much as we can also.
> We are ready to pay if necessary to put that bugfix on top of the list so please, tell me if this bug is going to be fixed soon :(

I cannot tell. Development is quite slow at the moment. As I am not a
core developer I do not know why that is. And I am low on time, too.

However, you can try to enable or disable the XFIXES extension (I am
not sure what the default is nowadays). Here's how you can do that:

Add to /etc/x2go/x2goagent.options

X2GO_NXAGENT_DEFAULT_OPTIONS+=" +extension XFIXES"

to enable the extension or

X2GO_NXAGENT_DEFAULT_OPTIONS+=" -extension XFIXES"

to disable the extension.

Using xdpyinfo | grep XFIXES within the session you can check if it is
enabled or not.

Uli